<?php
/**
 * @file
 * Default theme implementation to display a single Drupal page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.tpl.php template in this directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - $base_path: The base URL path of the Drupal installation. At the very
 *   least, this will always default to /.
 * - $directory: The directory the template is located in, e.g. modules/system
 *   or themes/bartik.
 * - $is_front: TRUE if the current page is the front page.
 * - $logged_in: TRUE if the user is registered and signed in.
 * - $is_admin: TRUE if the user has permission to access administration pages.
 *
 * Site identity:
 * - $front_page: The URL of the front page. Use this instead of $base_path,
 *   when linking to the front page. This includes the language domain or
 *   prefix.
 * - $logo: The path to the logo image, as defined in theme configuration.
 * - $site_name: The name of the site, empty when display has been disabled
 *   in theme settings.
 * - $site_slogan: The slogan of the site, empty when display has been disabled
 *   in theme settings.
 *
 * Navigation:
 * - $main_menu (array): An array containing the Main menu links for the
 *   site, if they have been configured.
 * - $secondary_menu (array): An array containing the Secondary menu links for
 *   the site, if they have been configured.
 * - $breadcrumb: The breadcrumb trail for the current page.
 *
 * Page content (in order of occurrence in the default page.tpl.php):
 * - $title_prefix (array): An array containing additional output populated by
 *   modules, intended to be displayed in front of the main title tag that
 *   appears in the template.
 * - $title: The page title, for use in the actual HTML content.
 * - $title_suffix (array): An array containing additional output populated by
 *   modules, intended to be displayed after the main title tag that appears in
 *   the template.
 * - $messages: HTML for status and error messages. Should be displayed
 *   prominently.
 * - $tabs (array): Tabs linking to any sub-pages beneath the current page
 *   (e.g., the view and edit tabs when displaying a node).
 * - $action_links (array): Actions local to the page, such as 'Add menu' on the
 *   menu administration interface.
 * - $feed_icons: A string of all feed icons for the current page.
 * - $node: The node object, if there is an automatically-loaded node
 *   associated with the page, and the node ID is the second argument
 *   in the page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - $page['content']: The main content of the current page.
 * - $page['sidebar_first']: Items for the first sidebar.
 * - $page['sidebar_second']: Items for the second sidebar.
 * - $page['header']: Items for the header region.
 * - $page['footer']: Items for the footer region.
 *
 * @see bootstrap_preprocess_page()
 * @see template_preprocess()
 * @see template_preprocess_page()
 * @see bootstrap_process_page()
 * @see template_process()
 * @see html.tpl.php
 *
 * @ingroup themeable
 */
?>

<?php if ($logo): ?>  
<div class="logo-img-container">
  <img class="logo" src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" usemap="#homemap"/>  
  <map name="homemap">
    <area shape="rect" coords="0,0,200,144" href="<?php echo $GLOBALS['base_url'];?>" alt="home">
  </map>
</div>
<?php endif; ?>

<div class="header-panel shadow-z-2" 
     
  <?php if (theme_get_setting("elis_chrome_color")) { print "style='background-color: " . check_plain(theme_get_setting("elis_chrome_color")) . ";'";}?> 
  >
  <div class="container-fluid">
    <div class="row">
      <div class="col-xs-3">
        <?php if (!empty($site_name)): ?>
          <a class="name navbar-brand" href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>"><?php print $site_name; ?></a>
        <?php endif; ?>        
      </div>
    </div>
  </div>
</div>

<div class="container-fluid main">
  <div class="row">
    
    <div class="col-xs-12 col-md-3 col-lg-3 menu sidebar-menu-first sidebar">
    
      <?php if (isset($GLOBALS['user']) ) : ?>
      <!--<aside class="user-block-wrapper visible-xs">-->
      <aside class="user-block-wrapper">
        <div style="overflow:hidden;">          
          <?php if (($GLOBALS['user']->uid > 0)) : ?>
          <a class='btn btn-default btn-raised clearfix' href="<?php print $GLOBALS['base_url'] . '/user'; ?>">
            <div style='vertical-align: center;'>
              <icon class='glyphicon glyphicon-user' style='font-size: 32px;border-radius: 32px; padding: 12px;background: rgba(0,0,0,.3);'></icon>
              <icon class='glyphicon glyphicon-log-out pull-right' style='font-size: 28px; position: absolute; top: 24px; right: 10px;' onclick='location.href="<?php print $GLOBALS['base_url'] . '/user/logout?destination=' . request_path(); ?>"; return false;'></icon>
            </div>
            <div style='white-space: normal; padding: 0.5em;'><?php print check_plain($GLOBALS['user']->name);?></div>
            <?php 
              if (class_exists("ElisOrg")) {
                
                $account = user_load($GLOBALS['user']->uid);
                $orgs = ElisOrg::getOrganizationsForUser($account);
                
                if ($orgs == false) {
                  $orgs = ElisOrg::findOrganizationsForIp();
                }
                
                if ($orgs != false) {
                  foreach ($orgs as $org) {
                    print "<div style='font-size: 0.6em; text-align: center;'>" . check_plain($org->name) . "</div>";
                  }
                } else {
                  print "<div style='font-size: 0.6em; text-align: center;'>вне сети организации</div>";
                }  
              }
            ?>
          </a>
          
          <?php else : ?>
          <a class='btn btn-default btn-raised clearfix' href="<?php print $GLOBALS['base_url'] . '/user/login?destination=' . request_path(); ?>">Вход</a>
          <?php 
            if (class_exists("ElisOrg")) {
              $orgs = ElisOrg::findOrganizationsForIp();
              if ($orgs != false) {
                foreach ($orgs as $org) {
                  print "<div style='font-size: 0.6em; text-align: center;'>" . check_plain($org->name) . "</div>";
                }
              } else {
                print "<div style='font-size: 0.6em; text-align: center;'>Вне сети организации</div>";  
              }
            }
          ?>
          <?php endif; ?>
        </div>
        
      </aside>      
      <?php endif; ?>
      
      <?php if (!empty($primary_nav)): ?>
      <nav>
        <?php print render($primary_nav); ?>
      </nav>

      <?php if (!empty($page['sidebar_first'])): ?>
        <aside role="complementary">
          <?php print render($page['sidebar_first']); ?>
        </aside>  <!-- /#sidebar-first -->
        <?php endif; ?>

      <?php endif; ?>
    
    </div>  
    
    <div class="pages col-xs-12 col-md-9 col-lg-9">
      <div class="col-xs-12 col-md-11 col-lg-10">
        <div class="well page active" id="about">         
          <?php if (!empty($tabs)): ?>
            <?php print render($tabs); ?>
          <?php endif; ?>
          <!-- <section<?php print $content_column_class; ?>> -->
          <section>
            <?php if (!empty($page['highlighted'])): ?>
              <div><?php print render($page['highlighted']); ?></div>
            <?php endif; ?>
            <?php if (!empty($breadcrumb)): print $breadcrumb; endif;?>
            <a id="main-content"></a>
            <?php print render($title_prefix); ?>
            <?php if (function_exists('get_elis_chrome_color')) { ?>
              <style>
                #about.well.page.active {
                  padding-top: 5px;
                }
              h1.page-header {
                /*color: #eee;
                background: #323232; */
                margin: -4px -18px 8px -18px;
                color: <?php print get_elis_text_color(); ?>;
                background: <?php print get_elis_chrome_color(); ?>;
                padding: .2em .4em;
              }
              </style>
            <?php } ?>
            <?php if (!empty($title)): ?>
              <h1 class="page-header"><?php print $title; ?></h1>
            <?php endif; ?>
            <?php print render($title_suffix); ?>
            <?php print $messages; ?>
            
            <?php if (!empty($page['help'])): ?>
              <?php print render($page['help']); ?>
            <?php endif; ?>
            <?php if (!empty($action_links)): ?>
              <ul class="action-links"><?php print render($action_links); ?></ul>
            <?php endif; ?>
            <?php print render($page['content']); ?>
          </section>
        
        </div>
        
        
        
        
      
        
      
        
      </div> <!-- end col-xs-10 -->
      
      <div class="col-xs-0 col-md-1 col-lg-2">
        <?php if (!empty($page['sidebar_second'])): ?>
          <div class="raw visible-lg visible-md">
            <div class="visible-lg col-lg-2"></div>
            <button class="btn btn-fab btn-material-lightgrey hidden" id="floating-action-btn"><i class="mdi-action-swap-horiz"></i></button> <!-- default is hidden -->
          </div>

          <div class="sidebar sidebar-menu-second menu visible-lg visible-md">                    
            <aside role="complementary">
              <?php print render($page['sidebar_second']); ?>
            </aside>  <!-- /#sidebar-second -->          
          </div>
        <?php endif; ?>
      </div>
    
    </div> <!-- end pages col-xs-9 -->  
    
    
  </div> <!-- end row -->
</div>   <!-- end confainer-fluid main -->

 

<footer class="footer">
  <?php print render($page['footer']); ?>
</footer>

<?php if (function_exists("get_virtual_keyboard_initialize_code_elis")) echo get_virtual_keyboard_initialize_code_elis(); ?>
